> For the complete documentation index, see [llms.txt](https://docs.defguard.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defguard.net/for-developers/rest-api/core/support/get-instance-configuration-for-support-purposes.md).

# Get instance configuration for support purposes

Secrets are stripped from the returned configuration.

```json
{"openapi":"3.1.0","info":{"title":"defguard Core API","version":"2.0.3"},"tags":[{"name":"support","description":"Diagnostics, logs and support data."}],"security":[{"cookie":[]},{"api_token":[]}],"components":{"securitySchemes":{"cookie":{"type":"apiKey","in":"cookie","name":"defguard_session"},"api_token":{"type":"http","scheme":"bearer"}},"schemas":{"ApiErrorResponse":{"type":"object","description":"Body returned with error responses.","required":["msg"],"properties":{"code":{"type":["string","null"],"description":"Machine-readable error code, returned for selected errors."},"msg":{"type":"string","description":"Human-readable error message."}}}}},"paths":{"/api/v1/support/configuration":{"get":{"tags":["support"],"summary":"Get instance configuration for support purposes","description":"Secrets are stripped from the returned configuration.","operationId":"configuration","responses":{"200":{"description":"Instance configuration, with the `settings`, `networks`, `devices`, `users`, `config`, `proxies`, `gateways` and `version` sections.","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Unable to dump the configuration.","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Session is missing or invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Requires admin privileges.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Unable to get configuration.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```
